// Solution to problem I of eindwedstrijd Voorbereiding
// Programmeerwedstrijden: Inquiry I

#include <iostream>
using namespace std;

const int MaxN = 1000000;
int a[MaxN+1];

int main ()
{ int n;
  long long sum,        // sum of last n-k integers
            squaresum,  // sum of first k squares
            maximum;    // maximum value achieved so far

  cin >> n;

  squaresum = 0;
  for (int k=1;k<=n;k++)
  { cin >> a[k];
    squaresum += a[k]*a[k];
  }
    
  sum = 0;
  maximum = 0;  // for every k, the true value will be positive
  for (int k=n-1;k>=1;k--)
  {  // exchange (k+1)th square for (k+1) integer
    squaresum -= a[k+1]*a[k+1];
    sum += a[k+1];
    if (squaresum*sum > maximum)
      maximum = squaresum*sum;
  }

  cout << maximum << endl;

  return 0;

}
